View Webhook
š View Webhooks
See all your webhooks or the details of a specific webhook by its ID.
Endpoint
GET https://api.tor.app/developer/integrations/webhooks
Query Parameters
- webhookType (string, optional): The ID of the webhook to view (e.g.,
wh 2025-05-02 12:34:56). Omit to view all webhooks.
Responses
200 OK (All Webhooks)
{`{
"webhooks": [
{
"HashedId": "your-api-key",
"webhookType": "wh 2025-05-02 12:34:56",
"url": "https://your-site.com/webhook",
"exportFormat": "Txt",
"includeTimestamps": true,
"includeSpeakerNames": true,
"mergeSameSpeakerSegments": false,
"isSingleParagraph": false,
"paragraphSize": 2,
"folderId": "folder123"
}
]
}`}
200 OK (Specific Webhook)
{`{
"HashedId": "your-api-key",
"webhookType": "wh 2025-05-02 12:34:56",
"url": "https://your-site.com/webhook",
"exportFormat": "Txt",
"includeTimestamps": true,
"includeSpeakerNames": true,
"mergeSameSpeakerSegments": false,
"isSingleParagraph": false,
"paragraphSize": 2,
"folderId": "folder123"
}`}
404 Not Found
{`"Webhook not found."`}
500 Internal Server Error
{`"Failed to retrieve webhook."`}
Notes
- Omit
webhookTypeto see all webhooks. - An empty
webhooksarray means no webhooks exist.
